%global pypi_name python-ipmi
%global srcname ipmi

Name:           python-%{srcname}
Version:        0.4.1
Release:        3%{?dist}
Summary:        Pure python IPMI library

License:        LGPLv2+
URL:            https://github.com/kontron/python-ipmi
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: python2-devel
BuildRequires: python-future
BuildRequires: python-markdown
BuildRequires: python-setuptools
BuildRequires: python-mock
BuildRequires: python-nose

%description
Pure Python IPMI Library.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} ';'

%build
%py2_build

%install
%py2_install 

%check
export PYTHONPATH=$RPM_BUILD_ROOT/%{python_sitelib}
nosetests-%{python_version} -v tests

%files -n python-%{srcname}
%doc README.rst
%{_bindir}/ipmitool.py
%{python_sitelib}/pyipmi
%{python_sitelib}/tests
%{python_sitelib}/*-py?.?.egg-info

%changelog
* Thu Mar 21 2019 Luis Bazan <lbazan@fedoraproject.org> - 0.4.1-3
- fix spec to epel7

* Wed Mar 20 2019 Luis Bazan <lbazan@fedoraproject.org> - 0.4.1-2
- Fix comment #1 BZ #1676987

* Wed Feb 13 2019 Luis Bazan <lbazan@fedoraproject.org> - 0.4.1-1
- Initial package
